package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractDormitoryTypeTreeInfo extends com.kingdee.eas.framework.TreeBaseInfo implements Serializable 
{
    public AbstractDormitoryTypeTreeInfo()
    {
        this("id");
    }
    protected AbstractDormitoryTypeTreeInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 宿舍类型组别 's 父节点 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.otherbasicdata.DormitoryTypeTreeInfo getParent()
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.DormitoryTypeTreeInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.dormitorysystem.otherbasicdata.DormitoryTypeTreeInfo item)
    {
        put("parent", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("68A8F7FC");
    }
}